Retrieve a list

Retrieve a list

Returns a paginated list of employers.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/employers

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-employers.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the employer.
name.default string Yes Yes Default name of the employer.
name.translations object No Yes Translated names for supported languages.
externalCode string No Yes External code for the employer.
address string No Yes Street address of the employer.
town string No Yes Town or city of the employer.
postalCode string No Yes Postal code of the employer.
bankAccount string No Yes Bank account number of the employer.
companyRegistrationNumber string No Yes Company registration number.

Filters

This endpoint does not support filters. It always returns all employers. A request that includes the filter query parameter is rejected with 400 Bad Request.

To retrieve one employer, use Retrieve an employer.

Pagination

This endpoint supports continuation-token pagination. When more results are available, the response includes a nextLink property containing the URL for the next page.

External references

This endpoint does not support external references.

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope
414 Request URI too long (continuation token)

Examples

Retrieve all employers

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/employers